Eclipse Platform Release 3.7

## org.eclipse.core.resources
Interface IResourceVisitor

    public interface IResourceVisitor

This interface is implemented by objects that visit resource trees.

Usage:

     class Visitor implements IResourceVisitor {
        public boolean visit(IResource res) {
           // your code here
           return true;
        }
     }
     IResource root = ...;
     root.accept(new Visitor());

Clients may implement this interface.

See Also:
  `IResource.accept(IResourceVisitor)`

Method Summary
`boolean` `visit(IResource resource)` Visits the given resource.

Method Detail

### visit

    boolean visit(IResource resource)
                  throws CoreException

  Visits the given resource.

  Parameters:
    `resource` - the resource to visit
  Returns:
    `true` if the resource's members should be visited; `false` if they should be skipped
  Throws:
    `CoreException` - if the visit fails for some reason.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.